Misc typos
ClosedPublic

Authored by luzpaz on Mar 6 2018, 8:48 PM.

Details

Summary

Found via codespell -q 3 -I ../clang-whitelist.txt
Where whitelist consists of:

archtype
cas
classs
checkk
compres
definit
frome
iff
inteval
ith
lod
methode
nd
optin
ot
pres
statics
te
thru

Diff Detail

Repository
rL LLVM
luzpaz created this revision.Mar 6 2018, 8:48 PM
luzpaz updated this revision to Diff 137323.Mar 6 2018, 9:02 PM

Rebased and re-diffed

nhaehnle removed a subscriber: nhaehnle.Mar 7 2018, 1:37 AM

Please advise how to proceed

tra added a subscriber: tra.Mar 14 2018, 10:19 AM

You may want to split the patch into smaller pieces -- per leaf directory, for example.
That way potential reviewers would at least be able to see the changes (hundreds of files in one patch is a bit too much), and the subset of changes would be small enough for someone to own it (or at least familiar enough with it to give approval).

alexfh accepted this revision.Apr 6 2018, 7:02 AM
alexfh added a subscriber: alexfh.

Thanks!
I've looked through all the fixes. Most of them look reasonable. I've reverted a few files where I found something suspicious or outright wrong and will commit the rest of the patch after I ensure the tests pass.

These files couldn't be patched:

include/clang/Basic/AttrDocs.td
lib/Basic/VirtualFileSystem.cpp
lib/CodeGen/CGExpr.cpp
lib/CodeGen/CGOpenMPRuntimeNVPTX.cpp
lib/Driver/ToolChains/Hexagon.cpp
lib/Sema/Sema.cpp
lib/StaticAnalyzer/Core/CoreEngine.cpp
test/CodeGenCXX/ms-integer-static-data-members.cpp

The list of the files I reverted:

lib/ARCMigrate/FileRemapper.cpp
lib/AST/ExprConstant.cpp
lib/Frontend/CacheTokens.cpp
lib/Frontend/CompilerInvocation.cpp
lib/Headers/htmintrin.h
lib/Parse/Parser.cpp
lib/Sema/SemaDeclCXX.cpp
lib/Sema/SemaLookup.cpp
test/CodeGen/builtins-arm-exclusive.c
test/CodeGen/vectorcall.c
test/Modules/odr_hash.cpp
test/Sema/warn-documentation-fixits.cpp
test/Sema/warn-documentation-unknown-command.cpp
This revision was not accepted when it landed; it landed in state Needs Review.Apr 6 2018, 8:20 AM
This revision was not accepted when it landed; it landed in state Needs Review.
Closed by commit rC329399: Fix typos in clang (authored by alexfh, committed by ). · Explain Why
Closed by commit rL329399: Fix typos in clang (authored by alexfh, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.
alexfh added a comment.Apr 6 2018, 8:22 AM

Feel free to send the rest of the fixes as a separate patch.